Home Manual Packages Global Index Keywords Quick Reference Language Reference Starting and Quitting Yorick Getting Help Error Recovery Array Data Types Constants Defining Variables Arithmetic and Comparison Operators Logical Operators Creating Arrays Indexing Arrays Array Conformability Rules Calling Functions Defining Functions Variable Scope Returning from Functions Compound Statements Conditional Execution Loops Function Reference I/O Reference | # Yorick Language Reference ## Compound Statements Yorick statements end with a `;` or end-of-line if the resulting statement would make sense. Several Yorick statements can be combined into a single compound statement by enclosing them in curly braces: `{` statement1 statement2 ... `}` The bodies of most loops and `if` statements are compound.